import React, { ReactNode } from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface AccordionCustomProps {
    open?: boolean;
    summary: ReactNode;
    children: ReactNode;
}
export type AccordionElementType = HTMLDetailsElement;
export type AccordionProps = Omit<CommonAndHTMLProps<AccordionElementType>, keyof AccordionCustomProps> & AccordionCustomProps;
export declare const Accordion: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDetailsElement>, keyof AccordionCustomProps> & AccordionCustomProps & React.RefAttributes<HTMLDetailsElement>>;
