import React from "react";
import { CommonAndHTMLProps, SpacingTypes } from "../../Element/constants";
import { FormFieldsConfig } from "./FormGenerator";
export interface FormCustomProps {
    spacing?: SpacingTypes;
    fields?: FormFieldsConfig[];
    onFieldsChange?: React.FormEventHandler;
    errorText?: string;
}
export type FormElementType = HTMLFormElement;
export type FormProps = Omit<CommonAndHTMLProps<FormElementType>, keyof FormCustomProps> & FormCustomProps;
export declare const Form: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLFormElement>, keyof FormCustomProps> & FormCustomProps & React.RefAttributes<HTMLFormElement>>;
