import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
import { InputCommonProps } from "../BaseInputComponent/constants";
export interface RangeCustomProps {
    min?: number;
    max?: number;
    step?: number;
    suffix?: string;
}
export type RangeElementType = HTMLInputElement;
export type RangeProps = CommonAndHTMLProps<RangeElementType> & InputCommonProps & RangeCustomProps;
export declare const Range: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLInputElement> & InputCommonProps & RangeCustomProps & React.RefAttributes<HTMLInputElement>>;
