import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface MeterLabelCustomProps {
    suffix?: string;
}
export interface MeterCustomProps {
    min: number;
    max: number;
    low: number;
    high: number;
    optimum?: number;
    showOptimumMarker?: boolean;
    barBg?: string;
    barFill?: string;
    suffix?: string;
    height?: string;
}
export type MeterElementType = HTMLMeterElement;
export type MeterProps = Omit<CommonAndHTMLProps<MeterElementType>, keyof MeterCustomProps> & MeterCustomProps;
export type MeterMetaProps = Omit<CommonAndHTMLProps<HTMLDivElement>, keyof MeterLabelCustomProps> & MeterLabelCustomProps;
export declare const Meter: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLMeterElement>, keyof MeterCustomProps> & MeterCustomProps & React.RefAttributes<HTMLMeterElement>>;
