import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export interface SidebarWrapperCustomProps {
    collapsed?: boolean;
    closeOnClickOutside?: () => void;
    showMobileSidebar?: boolean;
}
export type SidebarWrapperElementType = HTMLDivElement;
export type SidebarWrapperProps = Omit<CommonAndHTMLProps<SidebarWrapperElementType>, keyof SidebarWrapperCustomProps> & SidebarWrapperCustomProps;
export declare const SidebarWrapper: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof SidebarWrapperCustomProps> & SidebarWrapperCustomProps & React.RefAttributes<HTMLDivElement>>;
