import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
export interface TableCustomProps {
    bordersFor?: "rows" | "columns" | "both";
    alignText?: "left" | "right" | "centre" | "center";
    isStriped?: boolean;
    highlightRowOnHover?: boolean;
    isFullWidth?: boolean;
}
export type TableElementType = HTMLTableElement;
export type TableProps = Omit<CommonAndHTMLProps<TableElementType>, keyof TableCustomProps> & TableCustomProps;
export declare const Table: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLTableElement>, keyof TableCustomProps> & TableCustomProps & React.RefAttributes<HTMLTableElement>>;
