import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export interface ToastItemCustomProps {
    showWhen?: boolean;
    secondsToShowFor?: number;
    closeWhen?: () => void;
}
export type ToastItemElementType = HTMLDivElement;
export type ToastItemProps = Omit<CommonAndHTMLProps<ToastItemElementType>, keyof ToastItemCustomProps> & ToastItemCustomProps;
export declare const ToastItem: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof ToastItemCustomProps> & ToastItemCustomProps & React.RefAttributes<HTMLDivElement>>;
