import React from "react";
import { CommonAndHTMLProps, EmphasisTypes, ShapeTypes, SpacingTypes } from "../Element/constants";
export interface ButtonCustomProps {
    kind?: EmphasisTypes;
    size?: SpacingTypes;
    shape?: ShapeTypes;
    isLoading?: boolean;
    hasDelete?: boolean;
}
export type ButtonElementType = HTMLButtonElement;
export type ButtonProps = Omit<CommonAndHTMLProps<ButtonElementType>, keyof ButtonCustomProps> & ButtonCustomProps;
export declare const Button: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLButtonElement>, keyof ButtonCustomProps> & ButtonCustomProps & React.RefAttributes<HTMLButtonElement>>;
