import React from "react";
import { BaseInputComponentProps } from "../BaseInputComponent/constants";
export interface SwitchCustomProps {
    size?: "small" | "medium" | "large";
}
export type SwitchElementType = HTMLInputElement;
export type SwitchProps = Omit<BaseInputComponentProps<SwitchElementType>, keyof SwitchCustomProps | "as"> & SwitchCustomProps;
export declare const Switch: React.ForwardRefExoticComponent<Omit<BaseInputComponentProps<HTMLInputElement>, "as" | "size"> & SwitchCustomProps & React.RefAttributes<HTMLInputElement>>;
