import React from "react";
import { CommonAndHTMLProps } from "../../Element/constants";
export interface NotificationsWrapperCustomProps {
    position?: "left" | "right";
    anchor?: "top" | "bottom";
    order?: "new-on-top" | "new-on-bottom";
}
export type NotificationsWrapperElementType = HTMLDivElement;
export type NotificationsWrapperProps = CommonAndHTMLProps<NotificationsWrapperElementType> & NotificationsWrapperCustomProps;
export declare const NotificationsWrapper: React.ForwardRefExoticComponent<CommonAndHTMLProps<HTMLDivElement> & NotificationsWrapperCustomProps & React.RefAttributes<HTMLDivElement>>;
