import React from "react";
import { CommonAndHTMLProps } from "../Element/constants";
interface TabType {
    key: string;
    label: React.ReactNode;
    content: React.ReactNode;
    hasAlert?: boolean;
}
export interface TabsCustomProps {
    tabs: TabType[];
    /** wrapper to render additional content inside the nav along with tab labels */
    additionalNavContentWrapper?: React.ReactNode;
    defaultActiveTab?: React.ReactNode;
    align?: "left" | "centre" | "center" | "right";
}
export type TabsElementType = HTMLDivElement;
export type TabsProps = Omit<CommonAndHTMLProps<TabsElementType>, keyof TabsCustomProps> & TabsCustomProps;
export declare const Tabs: React.ForwardRefExoticComponent<Omit<CommonAndHTMLProps<HTMLDivElement>, keyof TabsCustomProps> & TabsCustomProps & React.RefAttributes<HTMLDivElement>>;
export {};
