import React from "react";
import type { UseThemeProps } from "./types";
import { CommonAndHTMLProps } from "../Element/constants";
export type ThemeProviderElementType = HTMLDivElement;
export type RenderProps = () => JSX.Element;
export declare const useTheme: () => UseThemeProps;
export interface ThemeProviderProps extends CommonAndHTMLProps<ThemeProviderElementType> {
    currentTheme?: string;
}
export declare const ThemeProvider: React.ForwardRefExoticComponent<ThemeProviderProps & React.RefAttributes<HTMLDivElement>>;
